## ros-kinetic-uuv-world-plugins 0.6.13

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(uuv_world_plugins)

# Specify C++11 standard
add_definitions(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
	gazebo_dev
	gazebo_msgs)
find_package(Boost REQUIRED)

catkin_package(
	INCLUDE_DIRS include
	LIBRARIES uuv_underwater_current_plugin
	CATKIN_DEPENDS
		gazebo_msgs
		gazebo_dev
)

include_directories(
	include
  ${catkin_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
)

link_directories(
	${CMAKE_CURRENT_BINARY_DIR}/msgs
)

###########
## Build ##
###########

add_library(uuv_underwater_current_plugin
  src/UnderwaterCurrentPlugin.cc
  src/GaussMarkovProcess.cc)
target_link_libraries(uuv_underwater_current_plugin
  ${GAZEBO_LIBRARIES}
  ${Boost_LIBRARIES}
  ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS
		uuv_underwater_current_plugin
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.hh"
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_uuv_world_plugins.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-kinetic-uuv-world-plugins (0.6.13-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sun, 11 Aug 2019 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.12-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 22 May 2019 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.11-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 20 Mar 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.10-0xenial) xenial; urgency=high

  * Fix errors from catkin_lint
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 27 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.9-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.8-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 13 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.7-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Tue, 12 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.6-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Mon, 11 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.5-0xenial) xenial; urgency=high

  * Fix gazebo_dev dependency
    Signed-off-by: Musa Morena Marcusso Manhães <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 06 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.4-0xenial) xenial; urgency=high

  * FIX Dependency errors for ROS Buildfarm
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Sat, 02 Feb 2019 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.3-0xenial) xenial; urgency=high

  * CHANGE Use lowercase strings for e-mail
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:Musa.Marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.2-0xenial) xenial; urgency=high

  * RM Ogre dependency from world plugins
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhães

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 02 Dec 2018 23:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.1-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.6.0-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 30 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.13-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 23 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.12-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 22 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.11-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.10-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Mon, 09 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.9-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Sun, 08 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.8-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Fri, 06 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.7-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 05 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.6-0xenial) xenial; urgency=high



 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Thu, 05 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.5-0xenial) xenial; urgency=high

  * RM Merge messages from the change log
  Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * UPDATE Catkin packages format to 2
  Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Wed, 04 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.4-0xenial) xenial; urgency=high

  * UPDATE Catkin packages format to 2
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.3-0xenial) xenial; urgency=high

  * ADD CHANGELOG files
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * Contributors: Musa Morena Marcusso Manhaes

 -- Musa Morena Marcusso Manhaes <Musa.Marcusso@de.bosch.com>  Tue, 03 Jul 2018 22:00:00 -0000

ros-kinetic-uuv-world-plugins (0.5.1-0xenial) xenial; urgency=high

  * CHANGE Bump version to 0.5.2
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>
  * CHANGE Version
  * ADD Update the calls for the new Gazebo 9 API
    Signed-off-by: Musa Morena Marcusso Manhaes <mailto:musa.marcusso@de.bosch.com>


=== debian/control ===
Source: ros-kinetic-uuv-world-plugins
Section: misc
Priority: extra
Maintainer: Musa Morena Marcusso Manhaes <musa.marcusso@de.bosch.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-uuv-world-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-msgs
Description: The uuv_world_plugins package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-uuv-world-plugins//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
